.fm-carousel {
    position: relative;
    width: 100%;
}

.fm-carousel__wrapper {
    align-items: center;
    display: flex;
    justify-content: center;
    overflow: hidden;
    position: relative;
    width: 100%;
}

.fm-carousel__container {
    display: flex;
    flex: 1;
    height: 16rem;
    list-style: none;
    margin: 0;
    max-width: 100%;
    min-width: 0;
    overflow-x: auto;
    padding: 0;
    scroll-behavior: smooth;
    scrollbar-width: none;
    -ms-overflow-style: none;
    gap: 0.5rem;
    width: 100%;
}

.fm-carousel__container::-webkit-scrollbar {
    display: none;
}

.fm-carousel__item {
    border: 1px solid transparent;
    border-radius: 0.5rem;
    flex-shrink: 0;
    height: 240px;
    overflow: hidden;
    position: relative;
    transition: border-color 0.3s ease;
    width: 144px;
}

.fm-carousel__link {
    border-radius: 0.5rem;
    display: block;
    height: 100%;
    width: 100%;
}

.fm-carousel__link > .fm-carousel__media:first-child {
    height: 240px;
    position: relative;
}

.fm-carousel__media {
    border-radius: 0.5rem;
    height: 100%;
    object-fit: cover;
    width: 100%;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);
}
.fm-carousel__container-midia {
    height: 15rem;
    position: relative;
}

.fm-carousel__container-img {
    position: absolute;
    inset: 0;
}

.fm-carousel__icon-play {
    cursor: pointer;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.fm-carousel__arrow {
    align-items: center;
    background-color: transparent;
    border: none;
    cursor: pointer;
    display: none;
    height: 100%;
    justify-content: center;
    outline: none;
    position: absolute;
    width: 4rem;
    z-index: 3;
}

.fm-carousel__arrow-wrapper {
    align-items: center;
    background: #fff;
    border-radius: 9999px;
    display: grid;
    height: 2.25rem;
    place-items: center;
    width: 2.25rem;
}

.fm-carousel__arrow--left {
    background-image: linear-gradient(90deg, #fff 0%, rgba(255, 255, 255, 0) 100%);
    left: 0;
}

.fm-carousel__arrow--right {
    background-image: linear-gradient(270deg, #fff 0%, rgba(255, 255, 255, 0) 100%);
    right: 0;
}

@media (min-width: 768px) {
    .fm-carousel__arrow {
        display: flex;
    }
}

.fm-carousel__overlay {
    align-items: center;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 0.5rem;
    display: flex;
    height: 100%;
    justify-content: center;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 4;
}

.fm-carousel__see-more {
    align-items: center;
    background: transparent;
    border: none;
    color: #fff;
    cursor: pointer;
    display: flex;
    font-size: 0.875rem;
    font-weight: 600;
    gap: 0.25rem;
    justify-content: center;
    line-height: 18px;
    text-align: center;
    text-decoration: underline;
}

.protect-media {
    height: 100%;
    overflow: hidden;
    position: relative;
    width: 100%;
}
